## pyside2 5.11.2

=== sources/shiboken2/doc/CMakeLists.txt ===
find_program(SPHINX sphinx-build DOC "Path to sphinx-build binary.")

if (SPHINX)
    message("-- sphinx-build - found")
    configure_file(conf.py.in conf.py @ONLY)
    add_custom_target(doc ${SPHINX} -b html -c . ${CMAKE_CURRENT_SOURCE_DIR} html )
    add_dependencies(doc doc_apiextractor)
else()
    message("-- sphinx-build - not found! doc target disabled")
    if (WIN32)
        # if jom is used and we have no sphinx, then jom will crash.
        # so for windows, we always create a doc target (until jom gets fixed...)
        add_custom_target(doc echo.
            COMMAND echo +++ This is a fake build, to make 'jom' happy.
            COMMAND echo +++ The documentation was _not_ built!
            COMMAND echo.
        )
    endif()
endif()

if (NOT WIN32)
    file(GLOB manpages "${CMAKE_CURRENT_SOURCE_DIR}/*.1")
    install(FILES ${manpages} DESTINATION share/man/man1)
endif()

=== sources/shiboken2/generator/CMakeLists.txt ===
project(shibokengenerator)

find_package(Qt5Xml)
find_package(Qt5XmlPatterns)

set(shiboken2_SRC
generator.cpp
shiboken2/cppgenerator.cpp
shiboken2/headergenerator.cpp
shiboken2/overloaddata.cpp
shiboken2/shibokengenerator.cpp
main.cpp
)

if (NOT DISABLE_DOCSTRINGS)
    set(shiboken2_SRC ${shiboken2_SRC} qtdoc/qtdocgenerator.cpp)
    add_definitions(-DDOCSTRINGS_ENABLED)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/shiboken2
                    ${CMAKE_CURRENT_SOURCE_DIR}/qtdoc
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${apiextractor_SOURCE_DIR}
                    ${Qt5Core_INCLUDE_DIRS}
                    ${Qt5XmlPatterns_INCLUDE_DIRS}
                    )

add_executable(shiboken2 ${shiboken2_SRC})
add_dependencies(shiboken2 apiextractor)
set_target_properties(shiboken2 PROPERTIES OUTPUT_NAME shiboken2${shiboken2_SUFFIX})
target_link_libraries(shiboken2
                      apiextractor
                      ${Qt5Core_LIBRARIES}
                      ${Qt5XmlPatterns_LIBRARIES}
                      )

configure_file(shibokenconfig.h.in "${CMAKE_CURRENT_BINARY_DIR}/shibokenconfig.h" @ONLY)

install(TARGETS shiboken2 DESTINATION bin)

=== sources/pyside2/PySide2/Qt3DCore/CMakeLists.txt ===
project(Qt3DCore)

set(Qt3DCore_SRC
${Qt3DCore_GEN_DIR}/qt3dcore_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qabstractaspect_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qaspectengine_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qaspectjob_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qbackendnode_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qcomponent_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qcomponentaddedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qcomponentremovedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qdynamicpropertyupdatedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qentity_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qnode_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qnodecreatedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qnodedestroyedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qnodeid_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qnodeidtypepair_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertynodeaddedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertynoderemovedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyupdatedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyupdatedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyvalueaddedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyvalueaddedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyvalueremovedchange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qpropertyvalueremovedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qscenechange_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qstaticpropertyupdatedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qstaticpropertyvalueaddedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qstaticpropertyvalueremovedchangebase_wrapper.cpp
${Qt3DCore_GEN_DIR}/qt3dcore_qtransform_wrapper.cpp
# module is always needed
${Qt3DCore_GEN_DIR}/qt3dcore_module_wrapper.cpp)

if (Qt53DCore_VERSION VERSION_EQUAL 5.10.0 OR Qt53DCore_VERSION VERSION_GREATER 5.10.0)
    list(APPEND Qt3DCore_SRC
         ${Qt3DCore_GEN_DIR}/qt3dcore_qarmature_wrapper.cpp
         ${Qt3DCore_GEN_DIR}/qt3dcore_qjoint_wrapper.cpp
         ${Qt3DCore_GEN_DIR}/qt3dcore_qabstractskeleton_wrapper.cpp
         ${Qt3DCore_GEN_DIR}/qt3dcore_qnodecommand_wrapper.cpp
         ${Qt3DCore_GEN_DIR}/qt3dcore_qskeleton_wrapper.cpp
         ${Qt3DCore_GEN_DIR}/qt3dcore_qskeletonloader_wrapper.cpp)
endif()

set(Qt3DCore_include_dirs
                     ${Qt3DCore_SOURCE_DIR}
                     ${Qt3DCore_BINARY_DIR}
                     ${pyside2_SOURCE_DIR}
                     ${Qt5Core_INCLUDE_DIRS}
                     ${Qt5Gui_INCLUDE_DIRS}
                     ${Qt5Network_INCLUDE_DIRS}
                     ${Qt53DCore_INCLUDE_DIRS}
                     ${SHIBOKEN_INCLUDE_DIR}
                     ${libpyside_SOURCE_DIR}
                     ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                     ${QtCore_GEN_DIR}
                     ${QtGui_GEN_DIR}
                     ${QtNetwork_GEN_DIR})

set(Qt3DCore_libraries pyside2
                     ${SHIBOKEN_PYTHON_LIBRARIES}
                     ${SHIBOKEN_LIBRARY}
                     ${Qt53DCore_LIBRARIES})

set(Qt3DCore_deps QtGui QtNetwork)

create_pyside_module(Qt3DCore
                     Qt3DCore_include_dirs
                     Qt3DCore_libraries
                     Qt3DCore_deps
                     Qt3DCore_SOURCE_DIR
                     Qt3DCore_SRC
                     ""
                     ${Qt3DCore_BINARY_DIR}/typesystem_3dcore.xml)

=== sources/pyside2/PySide2/QtLocation/CMakeLists.txt ===
project(QtLocation)

set(QtLocation_OPTIONAL_SRC )
set(QtLocation_DROPPED_ENTRIES )

set(QtLocation_SRC
${QtLocation_GEN_DIR}/qgeocodereply_wrapper.cpp
${QtLocation_GEN_DIR}/qgeomaneuver_wrapper.cpp
${QtLocation_GEN_DIR}/qgeoroute_wrapper.cpp
${QtLocation_GEN_DIR}/qgeoroutereply_wrapper.cpp
${QtLocation_GEN_DIR}/qgeoroutesegment_wrapper.cpp
${QtLocation_GEN_DIR}/qgeoserviceprovider_wrapper.cpp
${QtLocation_GEN_DIR}/qplace_wrapper.cpp
${QtLocation_GEN_DIR}/qplacecontentreply_wrapper.cpp
${QtLocation_GEN_DIR}/qplacedetailsreply_wrapper.cpp
${QtLocation_GEN_DIR}/qplaceicon_wrapper.cpp
${QtLocation_GEN_DIR}/qplaceidreply_wrapper.cpp
${QtLocation_GEN_DIR}/qplacemanager_wrapper.cpp
${QtLocation_GEN_DIR}/qplaceuser_wrapper.cpp
${QtLocation_GEN_DIR}/qgeocodingmanager_wrapper.cpp
${QtLocation_GEN_DIR}/qgeocodingmanagerengine_wrapper.cpp
${QtLocation_GEN_DIR}/qgeorouterequest_wrapper.cpp
${QtLocation_GEN_DIR}/qgeoroutingmanager_wrapper.cpp
${QtLocation_GEN_DIR}/qgeoroutingmanagerengine_wrapper.cpp
${QtLocation_GEN_DIR}/qgeoserviceproviderfactory_wrapper.cpp
${QtLocation_GEN_DIR}/qplaceattribute_wrapper.cpp
${QtLocation_GEN_DIR}/qplacecategory_wrapper.cpp
${QtLocation_GEN_DIR}/qplacecontactdetail_wrapper.cpp
${QtLocation_GEN_DIR}/qplacecontent_wrapper.cpp
${QtLocation_GEN_DIR}/qplacecontentrequest_wrapper.cpp
${QtLocation_GEN_DIR}/qplaceeditorial_wrapper.cpp
${QtLocation_GEN_DIR}/qplaceimage_wrapper.cpp
${QtLocation_GEN_DIR}/qplacemanagerengine_wrapper.cpp
${QtLocation_GEN_DIR}/qplacematchreply_wrapper.cpp
${QtLocation_GEN_DIR}/qplacematchrequest_wrapper.cpp
${QtLocation_GEN_DIR}/qplaceproposedsearchresult_wrapper.cpp
${QtLocation_GEN_DIR}/qplaceratings_wrapper.cpp
${QtLocation_GEN_DIR}/qplacereply_wrapper.cpp
${QtLocation_GEN_DIR}/qplaceresult_wrapper.cpp
${QtLocation_GEN_DIR}/qplacereview_wrapper.cpp
${QtLocation_GEN_DIR}/qplacesearchreply_wrapper.cpp
${QtLocation_GEN_DIR}/qplacesearchrequest_wrapper.cpp
${QtLocation_GEN_DIR}/qplacesearchresult_wrapper.cpp
${QtLocation_GEN_DIR}/qplacesearchsuggestionreply_wrapper.cpp
${QtLocation_GEN_DIR}/qplacesupplier_wrapper.cpp
# module is always needed
${QtLocation_GEN_DIR}/qtlocation_module_wrapper.cpp
)

if (Qt5Location_VERSION VERSION_EQUAL 5.11.0 OR Qt5Location_VERSION VERSION_GREATER 5.11.0)
    list(APPEND QtLocation_SRC
         ${QtLocation_GEN_DIR}/qgeoserviceproviderfactoryv2_wrapper.cpp)
endif()

set(QtLocation_include_dirs ${QtLocation_SOURCE_DIR}
                            ${QtLocation_BINARY_DIR}
                            ${Qt5Core_INCLUDE_DIRS}
                            ${Qt5Location_INCLUDE_DIRS}
                            ${SHIBOKEN_INCLUDE_DIR}
                            ${libpyside_SOURCE_DIR}
                            ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                            ${QtCore_GEN_DIR}
                            ${QtPositioning_GEN_DIR})

set(QtLocation_libraries pyside2
                         ${SHIBOKEN_PYTHON_LIBRARIES}
                         ${SHIBOKEN_LIBRARY}
                         ${Qt5Location_LIBRARIES})

set(QtLocation_deps QtCore QtPositioning)

create_pyside_module(QtLocation
                     QtLocation_include_dirs
                     QtLocation_libraries
                     QtLocation_deps
                     QtLocation_SOURCE_DIR
                     QtLocation_SRC
                     ""
                     ""
                     QtLocation_DROPPED_ENTRIES)

=== sources/pyside2/PySide2/QtPositioning/CMakeLists.txt ===
project(QtPositioning)

set(QtPositioning_OPTIONAL_SRC )
set(QtPositioning_DROPPED_ENTRIES )

set(QtPositioning_SRC
${QtPositioning_GEN_DIR}/qgeoaddress_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeoareamonitorinfo_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeoareamonitorsource_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeolocation_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeocircle_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeocoordinate_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeopath_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeopositioninfo_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeopositioninfosource_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeopositioninfosourcefactory_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeorectangle_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeosatelliteinfo_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeosatelliteinfosource_wrapper.cpp
${QtPositioning_GEN_DIR}/qgeoshape_wrapper.cpp
${QtPositioning_GEN_DIR}/qnmeapositioninfosource_wrapper.cpp
# module is always needed
${QtPositioning_GEN_DIR}/qtpositioning_module_wrapper.cpp
)

if (Qt5Positioning_VERSION VERSION_EQUAL 5.10.0 OR Qt5Positioning_VERSION VERSION_GREATER 5.10.0)
    list(APPEND QtPositioning_SRC
         ${QtPositioning_GEN_DIR}/qgeopolygon_wrapper.cpp)
endif()

set(QtPositioning_include_dirs ${QtPositioning_SOURCE_DIR}
                               ${QtPositioning_BINARY_DIR}
                               ${Qt5Core_INCLUDE_DIRS}
                               ${Qt5Positioning_INCLUDE_DIRS}
                               ${SHIBOKEN_INCLUDE_DIR}
                               ${libpyside_SOURCE_DIR}
                               ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                               ${QtCore_GEN_DIR})

set(QtPositioning_libraries pyside2
                            ${SHIBOKEN_PYTHON_LIBRARIES}
                            ${SHIBOKEN_LIBRARY}
                            ${Qt5Positioning_LIBRARIES})

set(QtPositioning_deps QtCore)

create_pyside_module(QtPositioning
                     QtPositioning_include_dirs
                     QtPositioning_libraries
                     QtPositioning_deps
                     QtPositioning_SOURCE_DIR
                     QtPositioning_SRC
                     ""
                     ""
                     QtPositioning_DROPPED_ENTRIES)

=== sources/pyside2/PySide2/QtQuickWidgets/CMakeLists.txt ===
project(QtQuickWidgets)

set(QtQuickWidgets_SRC
${QtQuickWidgets_GEN_DIR}/qquickwidget_wrapper.cpp
# module is always needed
${QtQuickWidgets_GEN_DIR}/qtquickwidgets_module_wrapper.cpp
)

set(QtQuickWidgets_include_dirs  ${QtQuickWidgets_SOURCE_DIR}
                                 ${QtQml_SOURCE_DIR}
                                 ${Qt5Core_INCLUDE_DIRS}
                                 ${Qt5Gui_INCLUDE_DIRS}
                                 ${Qt5Widgets_INCLUDE_DIRS}
                                 ${Qt5Network_INCLUDE_DIRS}
                                 ${Qt5Quick_INCLUDE_DIRS}
                                 ${Qt5Qml_INCLUDE_DIRS}
                                 ${Qt5QuickWidgets_INCLUDE_DIRS}
                                 ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                                 ${SHIBOKEN_INCLUDE_DIR}
                                 ${libpyside_SOURCE_DIR}
                                 ${QtGui_GEN_DIR}
                                 ${QtCore_GEN_DIR}
                                 ${QtWidgets_GEN_DIR}
                                 ${QtNetwork_GEN_DIR}
                                 ${QtQuick_GEN_DIR}
                                 ${QtQml_GEN_DIR}
                                 ${QtQuickWidgets_GEN_DIR})

set(QtQuickWidgets_libraries pyside2
                             ${SHIBOKEN_PYTHON_LIBRARIES}
                             ${Qt5Core_LIBRARIES}
                             ${Qt5Gui_LIBRARIES}
                             ${Qt5Network_LIBRARIES}
                             ${Qt5Widgets_LIBRARIES}
                             ${Qt5Quick_LIBRARIES}
                             ${Qt5Qml_LIBRARIES}
                             ${Qt5QuickWidgets_LIBRARIES})

set(QtQuickWidgets_deps QtGui QtQml QtQuick QtWidgets QtNetwork)

create_pyside_module(QtQuickWidgets
                     QtQuickWidgets_include_dirs
                     QtQuickWidgets_libraries
                     QtQuickWidgets_deps
                     QtQuickWidgets_SOURCE_DIR
                     QtQuickWidgets_SRC
                     "")

=== sources/pyside2/PySide2/QtUiTools/CMakeLists.txt ===
project(QtUiTools)

set(QtUiTools_SRC
${QtUiTools_GEN_DIR}/quiloader_wrapper.cpp
# module is always needed
${QtUiTools_GEN_DIR}/qtuitools_module_wrapper.cpp
)

set(QtUiTools_include_dirs  ${QtUiTools_SOURCE_DIR}
                            ${QtUiTools_BINARY_DIR}
                            ${Qt5Core_INCLUDE_DIRS}
                            ${Qt5Gui_INCLUDE_DIRS}
                            ${Qt5Widgets_INCLUDE_DIRS}
                            ${Qt5Xml_INCLUDE_DIRS}
                            ${Qt5Designer_INCLUDE_DIRS}
                            ${Qt5UiTools_INCLUDE_DIRS}
                            ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                            ${SHIBOKEN_INCLUDE_DIR}
                            ${libpyside_SOURCE_DIR}
                            ${plugins_SOURCE_DIR}
                            ${QtCore_GEN_DIR}
                            ${QtXml_GEN_DIR}
                            ${QtGui_GEN_DIR}
                            ${QtWidgets_GEN_DIR}
                            )
set(QtUiTools_libraries     pyside2
                            uiplugin
                            ${SHIBOKEN_PYTHON_LIBRARIES}
                            ${Qt5UiTools_LIBRARIES}
                            ${Qt5Core_LIBRARIES}
                            ${Qt5Gui_LIBRARIES}
                            ${Qt5Widgets_LIBRARIES}
                            )
set(QtUiTools_deps QtWidgets QtXml)
create_pyside_module(QtUiTools
                     QtUiTools_include_dirs
                     QtUiTools_libraries
                     QtUiTools_deps
                     QtUiTools_SOURCE_DIR
                     QtUiTools_SRC
                     "")

=== sources/pyside2/tests/QtNetwork/CMakeLists.txt ===
PYSIDE_TEST(bug_446.py)
PYSIDE_TEST(bug_1084.py)
PYSIDE_TEST(accessManager_test.py)
PYSIDE_TEST(dnslookup_test.py)
# Qt5: QHttp is gone PYSIDE_TEST(http_test.py)
PYSIDE_TEST(tcpserver_test.py)
PYSIDE_TEST(udpsocket_test.py)
PYSIDE_TEST(qipv6address_test.py)

=== sources/pyside2/tests/QtScriptTools/CMakeLists.txt ===
PYSIDE_TEST(debugger_test.py)

=== sources/pyside2/tests/signals/CMakeLists.txt ===
PYSIDE_TEST(args_dont_match_test.py)
PYSIDE_TEST(bug_79.py)
PYSIDE_TEST(bug_189.py)
PYSIDE_TEST(bug_311.py)
PYSIDE_TEST(bug_312.py)
PYSIDE_TEST(bug_319.py)
PYSIDE_TEST(decorators_test.py)
PYSIDE_TEST(disconnect_test.py)
PYSIDE_TEST(invalid_callback_test.py)
PYSIDE_TEST(lambda_gui_test.py)
PYSIDE_TEST(lambda_test.py)
PYSIDE_TEST(leaking_signal_test.py)
PYSIDE_TEST(multiple_connections_gui_test.py)
PYSIDE_TEST(multiple_connections_test.py)
PYSIDE_TEST(pysignal_test.py)
PYSIDE_TEST(qobject_destroyed_test.py)
PYSIDE_TEST(qobject_receivers_test.py)
PYSIDE_TEST(qobject_sender_test.py)
PYSIDE_TEST(ref01_test.py)
PYSIDE_TEST(ref02_test.py)
PYSIDE_TEST(ref03_test.py)
PYSIDE_TEST(ref04_test.py)
PYSIDE_TEST(ref05_test.py)
PYSIDE_TEST(ref06_test.py)
PYSIDE_TEST(segfault_proxyparent_test.py)
PYSIDE_TEST(self_connect_test.py)
PYSIDE_TEST(short_circuit_test.py)
PYSIDE_TEST(signal2signal_connect_test.py)
PYSIDE_TEST(signal_autoconnect_test.py)
PYSIDE_TEST(signal_connectiontype_support_test.py)
PYSIDE_TEST(signal_emission_gui_test.py)
PYSIDE_TEST(signal_emission_test.py)
PYSIDE_TEST(signal_func_test.py)
PYSIDE_TEST(signal_manager_refcount_test.py)
PYSIDE_TEST(signal_number_limit_test.py)
PYSIDE_TEST(signal_object_test.py)
PYSIDE_TEST(signal_signature_test.py)
PYSIDE_TEST(signal_with_primitive_type_test.py)
PYSIDE_TEST(slot_reference_count_test.py)
PYSIDE_TEST(static_metaobject_test.py)

=== sources/shiboken2/ApiExtractor/doc/CMakeLists.txt ===
message("Building ApiExtractor documentation")
find_program(SPHINX sphinx-build DOC "Path to sphinx-build binary.")

if (SPHINX)
    message(STATUS "sphinx-build - found")
    configure_file(conf.py.in conf.py @ONLY)
    add_custom_target(doc_apiextractor ${SPHINX} -b html -c . ${CMAKE_CURRENT_SOURCE_DIR} html )
else()
    message(STATUS "sphinx-build - not found! doc_apiextractor target disabled")
endif()

=== sources/shiboken2/tests/samplebinding/CMakeLists.txt ===
project(sample)

set(sample_TYPESYSTEM
${CMAKE_CURRENT_SOURCE_DIR}/typesystem_sample.xml
)

set(sample_SRC
${CMAKE_CURRENT_BINARY_DIR}/sample/abstractmodifications_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/abstract_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/arraymodifytest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/base1_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/base2_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/base3_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/base4_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/base5_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/base6_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/blackbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/bytearray_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/bucket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/classwithfunctionpointer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/collector_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/color_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/ctorconvrule_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/cvlistuser_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/cvvaluetype_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/sbkdate_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/derived_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/derived_someinnerclass_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/echo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/event_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/expression_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/friendofonlycopy_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/handleholder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/implicitconv_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/implicitbase_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/implicittarget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/intlist_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/sortedoverload_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/intwrapper_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/injectcode_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/listuser_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/mapuser_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/mderived1_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/mderived2_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/mderived3_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/mderived4_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/mderived5_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/modelindex_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/modifications_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/modifiedconstructor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/noimplicitconversion_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/nondefaultctor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/objectmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/objecttype_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/objecttypebyvalue_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/objecttypeholder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/objecttypederived_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/objecttypelayout_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/objecttypeptrlist_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/objecttypeoperators_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/objectview_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/objtypereference_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/oddbooluser_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/onlycopy_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/otherbase_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/overload_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/overload2_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/pairuser_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/pen_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/persistentmodelindex_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/photon_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/photon_base_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/photon_valueidentity_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/photon_valueduplicator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/point_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/pointerholder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/pointf_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/pointvaluelist_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/polygon_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/primitivestructpointerholder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/privatector_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/privatedtor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/protectedenumclass_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/protectednonpolymorphic_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/protectedpolymorphic_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/protectedpolymorphicdaughter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/protectedpolymorphicgranddaughter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/protectedproperty_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/protectedvirtualdestructor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/rect_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/rectf_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/reference_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/referentmodelindex_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/sample_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/sample_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/sample_sample_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/samplenamespace_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/samplenamespace_someclass_someinnerclass_okthisisrecursiveenough_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/samplenamespace_someclass_someinnerclass_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/samplenamespace_someclass_someotherinnerclass_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/samplenamespace_someclass_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/samplenamespace_derivedfromnamespace_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/simplefile_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/size_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/sizef_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/sonofmderived1_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/str_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/strlist_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/time_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/templateptr_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/unremovednamespace_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/virtualdaughter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/virtualdaughter2_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/virtualfinaldaughter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/virtualdtor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/virtualmethods_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/voidholder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/valueandvirtual_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/filter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/data_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/intersection_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/sample/union_wrapper.cpp
)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/sample-binding.txt.in"
               "${CMAKE_CURRENT_BINARY_DIR}/sample-binding.txt" @ONLY)

add_custom_command(OUTPUT ${sample_SRC}
COMMAND shiboken2 --project-file=${CMAKE_CURRENT_BINARY_DIR}/sample-binding.txt ${GENERATOR_EXTRA_FLAGS}
DEPENDS ${sample_TYPESYSTEM} ${CMAKE_CURRENT_SOURCE_DIR}/global.h shiboken2
WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
COMMENT "Running generator for 'sample' test binding..."
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_SOURCE_DIR}
                    ${SBK_PYTHON_INCLUDE_DIR}
                    ${libsample_SOURCE_DIR}
                    ${libshiboken_SOURCE_DIR}
                    ${libshiboken_BINARY_DIR})
add_library(sample MODULE ${sample_SRC})
set_property(TARGET sample PROPERTY PREFIX "")
set_property(TARGET sample PROPERTY OUTPUT_NAME "sample${PYTHON_EXTENSION_SUFFIX}")

if(WIN32)
    set_property(TARGET sample PROPERTY SUFFIX ".pyd")
endif()
target_link_libraries(sample
                      libsample
                      ${SBK_PYTHON_LIBRARIES}
                      libshiboken)

=== debian/changelog ===
pyside2 (5.11.2-3+rpi1) buster-staging; urgency=medium

  [changes brought forward from 5.11.2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 23 Dec 2018 23:25:45 +0000]
  * Remove armhf from qtwebengine architecture lists.
  * Fix clean target.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 24 Jan 2019 17:32:39 +0000

pyside2 (5.11.2-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Do not build-depends on patchelf on mips and mipsel (Closes: #917199)

 -- Sebastien Delafond <seb@debian.org>  Wed, 16 Jan 2019 16:30:16 +0100

pyside2 (5.11.2-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Add myself to uploaders
  * Do not build-depends on patchelf on mips64el (Closes: #917200)

 -- Sebastien Delafond <seb@debian.org>  Thu, 10 Jan 2019 09:21:43 +0100

pyside2 (5.11.2-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * New upstream version 5.11.2
  * Remove patches merged upstream
  * Merge fix-PAGESIZE.patch into update-patchelf.patch
  * Add patchelf to Build-Depends
  * Bump Standards-Version to 4.2.1

  [ Frédéric Bonnard ]
  * Fix hardcoded PAGESIZE for patchelf.cc. Closes: #909265

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 28 Sep 2018 15:09:34 +0200

pyside2 (5.11.0-4) unstable; urgency=medium

  * Use default llvm-dev and libclang-dev (Closes: #906168)
  * Add Cmake config files for Python3 (Closes: #906020)
  * Fix debian/libpyside2-5.11.install for triplets that are not *-linux-gnu
    (thanks to Adrian Bunk)
  * Add an upstream patch to fix build on armel/armhf

 -- Sophie Brun <sophie@freexian.com>  Mon, 27 Aug 2018 12:53:29 +0200

=== debian/control ===
Source: pyside2
Section: python
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>,
           Raphaël Hertzog <hertzog@debian.org>,
	   Sebastien Delafond <seb@debian.org>
Build-Depends: chrpath,
               cmake (>= 3.1),
               debhelper (>= 11),
               dh-exec,
               dh-python,
               libclang-dev,
               libqt5charts5-dev,
               libqt5opengl5-dev,
               libqt5sensors5-dev,
               libqt5svg5-dev,
               libqt5texttospeech5-dev,
               libqt5webchannel5-dev,
               libqt5webkit5-dev,
               libqt5websockets5-dev,
               libqt5x11extras5-dev,
               libqt5xmlpatterns5-dev,
               libxml2-dev,
               libxslt1-dev,
               llvm-dev,
	       patchelf [!mips64el !mipsel !mips],
               pyqt5-dev (>=5.6),
               python-all-dev,
               python-setuptools,
               python-wheel,
               python3-all-dev,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-wheel,
               qt3d-assimpsceneimport-plugin,
               qt3d-defaultgeometryloader-plugin,
               qt3d-gltfsceneio-plugin,
               qt3d-scene2d-plugin,
               qt3d5-dev,
               qt5-qmake,
               qt5-qmake-bin,
               qtbase5-dev,
               qtbase5-private-dev,
               qtchooser,
               qtdeclarative5-dev,
               qtdeclarative5-private-dev,
               qtlocation5-dev,
               qtmultimedia5-dev,
               qtpositioning5-dev,
               qtscript5-dev,
               qttools5-dev,
               qtwebengine5-dev [amd64 arm64 i386 mipsel]
Standards-Version: 4.2.1
Homepage: https://wiki.qt.io/Qt_for_Python
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/pyside2.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/pyside2

Package: python-pyside2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python bindings for Qt5 (common documentation)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the common documentation package.

Package: libpyside2-5.11
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python 2 bindings for Qt5 (base files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python2 base file used by all modules.

Package: libpyside2-py3-5.11
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python 3 bindings for Qt5 (base files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python3 base file used by all modules.

Package: libpyside2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libpyside2-5.11 (= ${binary:Version}),
 libpyside2-py3-5.11 (= ${binary:Version}), pyqt5-dev
Description: Python bindings for Qt5 (development files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside2 library.

Package: python-pyside2.qtcore
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: python-pyside2-doc
Description: Python bindings for Qt5 core module (Python 2)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 2 bindings for the QtCore module.

Package: python3-pyside2.qtcore
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-pyside2-doc
Description: Python bindings for Qt5 core module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtCore module.

Package: shiboken2
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.

Package: libshiboken2-5.11
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries (Python2 shared library)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the shared Python 2 library used by shiboken2.

Package: libshiboken2-py3-5.11
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries (Python3 shared library)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the shared Python 3 library used by shiboken2.

Package: libshiboken2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libshiboken2-5.11 (= ${binary:Version}),
 libshiboken2-py3-5.11 (= ${binary:Version}), python-dev
Description: CPython bindings generator for C++ libraries (development files)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package provides the development headers for the libshiboken2 library.

Package: shiboken2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: CPython bindings generator for C++ libraries (common documentation)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the common documentation.

Package: pyside2-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python-pyside2uic, ${python:Depends}
Description: development tools for PySide2 (uic, rcc, lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide2 ships Python bindings for the Qt5 framework. This package ships
 the following accompanying tools:
  * pyside2-rcc - PySide resource compiler
  * pyside2-uic - Python User Interface Compiler for PySide
  * pyside2-lupdate - update Qt Linguist translation files for PySide

Package: python-pyside2uic
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: User Interface Compiler for PySide2 (Python 2)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide2 ships Python bindings for the Qt5 framework.
 .
 This package contains the Python User Interface Compiler for PySide2 in
 Python 2.

Package: python3-pyside2uic
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: User Interface Compiler for PySide2 (Python 3)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide2 ships Python bindings for the Qt5 framework.
 .
 This package contains the Python User Interface Compiler for PySide2 in
 Python 3.

Package: python-pyside2.qtwidgets
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 Widgets module (Python 2)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 2 bindings for the QtWidgets module.

Package: python3-pyside2.qtwidgets
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 Widgets module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtWidgets module.

Package: python-pyside2.qt3drender
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 3DRender module (Python 2)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 2 bindings for the Qt3DRender module.

Package: python3-pyside2.qt3drender
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 3DRender module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DRender module.

Package: python-pyside2.qtquick
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 Quick module (Python 2)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 2 bindings for the QtQuick module.

Package: python3-pyside2.qtquick
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 Quick module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQuick module.

Package: python-pyside2.qtpositioning
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Safety measure to ensure package names match SONAMEs
PYSIDE_MAJOR := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1-2)
ifeq ($(shell awk '/Package:/ {print $$2}' debian/control | grep -- -$(PYSIDE_MAJOR)$$),)
    $(error Please update package names for major version $(PYSIDE_MAJOR))
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    OPTION_JOBS = --jobs=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

export PYBUILD_NAME=pyside2
export PYBUILD_BUILD_ARGS=--relwithdebinfo --verbose-build --no-examples $(OPTION_JOBS)

export MAIN_VERSION_UPSTREAM := $(shell echo $(DEB_VERSION_UPSTREAM))
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Add CPPFLAGS to CXXFLAGS as CMake ignores CPPFLAGS by default
CXXFLAGS+=$(CPPFLAGS)

# Until https://bugreports.qt.io/browse/PYSIDE-741 is fixed
export PYBUILD_DISABLE_python3.7=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator

override_dh_auto_install:
	# Don't use pybuild install process, we take over this step to
	# split files in the way we want it. But we echo the list of files
	# built to make it easier to update *.install files.
	echo ">>> In pyside*_{package,install}"
	-find pyside_package pyside*_install

override_dh_makeshlibs:
	dh_makeshlibs -VUpstream-Version

override_dh_install-indep:
	dh_install -X.doctrees
	# drop specific Python2 or Python code in packages. Otherwise it
	# will fail during the packages installation
	rm -r debian/python-pyside2uic/usr/lib/python2.7/dist-packages/pyside2uic/port_v3
	rm -r debian/python3-pyside2uic/usr/lib/python3/dist-packages/pyside2uic/port_v2

override_dh_install-arch:
	dh_install
	# remove RUNPATH setup in shiboken2
	chrpath -d debian/shiboken2/usr/bin/shiboken2
	# change the library path in pkg-info/*.pc and in *.cmake files:
	# during the build the path is setup to the build dir
	# /build/pyside2* (required to find lib during the build) but it's
	# not what we need
	debian/set-paths

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyside_package pyside?_build pyside?_install
	rm -f sources/pyside2/doc/qtmodules/*.qdocconf sources/pyside2/doc/pyside-config.qdocconf sources/pyside2/doc/pyside.qdocconf.in
	find . -name *.qdoconf -delete
